package com.jpsoft.bus.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @author 墨鱼_mo
 * @date 2020-3-21 13:42
 */
@Component
@ConfigurationProperties(prefix = "wx.pay")
@Data
public class WxConfig {
    private String appId;
    private String appSecret;
    private String token;
    private String tokenUrl;
    private String createQrCodeUrl;
    private String showQrCodeUrl;
    private String contentType;
    private String portalUrl;
}
