package com.jpsoft.bus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.base.entity.MergeOrderInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface MergeOrderInfoDAO {
	int insert(MergeOrderInfo entity);
	int update(MergeOrderInfo entity);
	int exist(String id);
	MergeOrderInfo get(String id);
	int delete(String id);
	List<MergeOrderInfo> list();
	List<MergeOrderInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    MergeOrderInfo findByOutOrderNo(String outOrderNo);

    List<MergeOrderInfo> findByOpenIdShiftIdPayStatus(String openId, String shiftId, int payStatus);
}