package com.jpsoft.bus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.base.entity.PaymentInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface PaymentInfoDAO {
	int insert(PaymentInfo entity);
	int update(PaymentInfo entity);
	int exist(String id);
	PaymentInfo get(String id);
	int delete(String id);
	List<PaymentInfo> list();
	List<PaymentInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    PaymentInfo findByCompanyId(String companyId);
}