package com.jpsoft.bus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.base.entity.TripInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface TripInfoDAO {
	int insert(TripInfo entity);
	int update(TripInfo entity);
	int exist(String id);
	TripInfo get(String id);
	int delete(String id);
	List<TripInfo> list();
	List<TripInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}