package com.jpsoft.bus.modules.base.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.base.entity.HelpCenter;
import com.jpsoft.bus.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-25 17:46
 */
public interface HelpCenterService {

    HelpCenter get(String id);
    boolean exist(String id);
    int insert(HelpCenter model);
    int update(HelpCenter model);
    int delete(String id);
    List<HelpCenter> list();
    Page<HelpCenter> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}
