package com.jpsoft.bus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.base.entity.OrderLog;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface OrderLogService {
	OrderLog get(String id);
	boolean exist(String id);
	int insert(OrderLog model);
	int update(OrderLog model);
	int delete(String id);
	List<OrderLog> list();
	Page<OrderLog> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}