package com.jpsoft.bus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.base.entity.TripInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface TripInfoService {
	TripInfo get(String id);
	boolean exist(String id);
	int insert(TripInfo model);
	int update(TripInfo model);
	int delete(String id);
	List<TripInfo> list();
	Page<TripInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
}