package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.DriverInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface DriverInfoDAO {
	int insert(DriverInfo entity);
	int update(DriverInfo entity);
	int exist(Long id);
	DriverInfo get(Long id);
	int delete(Long id);
	List<DriverInfo> list();
	List<DriverInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    DriverInfo findByPhone(String phone);
}