package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.PriceInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface PriceInfoDAO {
	int insert(PriceInfo entity);
	int update(PriceInfo entity);
	int exist(String id);
	PriceInfo get(String id);
	int delete(String id);
	List<PriceInfo> list();
	List<PriceInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    PriceInfo findByStartStationAndEndStation(String ticketUpStationId, String ticketDownStationId);

	List<PriceInfo> findByStartSid(String startStationId);
	List<PriceInfo> findByEndSid(String endStationId);
}