package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.RouteInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface RouteInfoDAO {
	int insert(RouteInfo entity);
	int update(RouteInfo entity);
	int exist(String id);
	RouteInfo get(String id);
	int delete(String id);
	List<RouteInfo> list();
	List<RouteInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
}