package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.StationRemind;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface StationRemindDAO {
	int insert(StationRemind entity);
	int update(StationRemind entity);
	int exist(String id);
	StationRemind get(String id);
	int delete(String id);
	List<StationRemind> list();
	List<StationRemind> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<StationRemind> findByAdvanceStationId(String currentStationId);
	List<StationRemind>  findByOpenIdAndVehicleShiftId(String openId, String vehicleShiftId);

	List<StationRemind> findByOpenId(String openId);

	List<StationRemind> findByOpenIdAndRouteId(String openId, String routeId);
}