package com.jpsoft.bus.modules.bus.dao;

import java.util.List;

import com.jpsoft.bus.modules.bus.entity.StationSubInfo;
import org.springframework.stereotype.Repository;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface StationSubInfoDAO {
	int insert(StationSubInfo entity);
	int update(StationSubInfo entity);
	int exist(String id);
	StationSubInfo get(String id);
	int delete(String id);
	List<StationSubInfo> list();
	List<StationSubInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    StationSubInfo findByStationIdStartEnd(String stationId, String startStationId, String endStationId);

    List<StationSubInfo> findByStationId(String stationId);
}