package com.jpsoft.bus.modules.bus.dto;

import com.jpsoft.bus.modules.bus.entity.DriverInfo;
import com.jpsoft.bus.modules.bus.entity.RouteInfo;
import com.jpsoft.bus.modules.bus.entity.ShiftInfo;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author 墨鱼_mo
 * @date 2021-4-25 11:45
 */
@Data
public class PassengerRecordDetailDTO {

    private DriverInfo driverInfo;

    private ShiftInfo shiftInfo;

    private VehicleInfo vehicleInfo;

    private RouteInfo routeInfo;

    private List<LonLatDTO> routeStationLonLat;

    private List<LonLatDTO> ticketUpDownLonLat;

    private String tripName;

    private String ticketDes;

    private String goodsTicket;

    private BigDecimal totalFee;

    private String payTime;

    private String ticketStatus;

    private String ticketStatusName;

    public String getTicketStatusName(String ticketStatus){
        String ticketStatusName = "乘车中";

        if ("2".equals(ticketStatus)){
            ticketStatusName = "已过期";
        }
        return ticketStatusName;

    }
}
