package com.jpsoft.bus.modules.bus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.List;

@Data
public class RouteInfoDTO {

    @ApiModelProperty(value = "主键")
    private String id;
    @ApiModelProperty(value = "路线")
    private String name;
    @ApiModelProperty(value = "地图路线(坐标用|分隔，经纬度用,)")
    private String mapPath;
    @ApiModelProperty(value = "单位编号")
    private String companyId;
    @ApiModelProperty(value = "开始时间")
    private String startTime;
    @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "单位名称")
    private String companyName;

    private List<StationInfoDTO> stationList;

    private List<StationInfoDTO> removeStationList;

    private List<String> pathList;

    @ApiModelProperty(value = "地区id")
    private String regionId;
    @ApiModelProperty(value = "地区翻译")
    private String regionName;
    @ApiModelProperty(value = "间隔时间(分钟)")
    private Integer interval;
}
