package com.jpsoft.bus.modules.bus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2021-4-7 8:54
 */
@Data
public class StationStatusDTO {

    @ApiModelProperty(value = "当前站点")
    private String nowStationId;

    @ApiModelProperty(value = "当前站点名称")
    private String nowStationName;

    @ApiModelProperty(value = "当前站点状态（1：到站，2：离站，3：未到站）")
    private String nowStationStatus;

    @ApiModelProperty(value = "下一站点")
    private String nextStationId;

    @ApiModelProperty(value = "下一站点名称")
    private String nextStationName;

    @ApiModelProperty(value = "下一站点状态（1：到站，2：离站，3：未到站）")
    private String nextStationStatus;
}
