package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;

import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
 * 描述:bus_passenger_message的实体类
 */
@Data
@ApiModel(value = "bus_passenger_message的实体类")
public class PassengerMessage {
    @ApiModelProperty(value = "")
    private String id;
    @ApiModelProperty(value = "openId")
    private String openId;
    @ApiModelProperty(value = "乘客id")
    private String passengerId;
    @ApiModelProperty(value = "阅读状态")
    private Boolean readStatus = false;
    @ApiModelProperty(value = "创建人")
    private String createBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "创建时间")
    private Date createTime;
    @ApiModelProperty(value = "更新人")
    private String updateBy;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
    @ApiModelProperty(value = "是否删除")
    private Boolean delFlag = false;


    private String payStatus;
}