package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;

/**
  描述:bus_route_time_table的实体类
 */
public class RouteTimeTable {
	private String id;
	private String name;
	private Integer sort;
	private String startTime;
	private String endTime;
	private String routeId;
	private String createBy;
	private Date createTime;
	private String updateBy;
	private Date updateTime;
	private Boolean delFlag;
	
		/**
	 *获取编号
	 */
	public String getId(){
		return id;
	}
	
	/**
	 *设置编号
	 */
	public void setId(String id){
		this.id = id;
	}
		/**
	 *获取时刻表名称
	 */
	public String getName(){
		return name;
	}
	
	/**
	 *设置时刻表名称
	 */
	public void setName(String name){
		this.name = name;
	}
		/**
	 *获取排序
	 */
	public Integer getSort(){
		return sort;
	}
	
	/**
	 *设置排序
	 */
	public void setSort(Integer sort){
		this.sort = sort;
	}
		/**
	 *获取开始时间
	 */
	public String getStartTime(){
		return startTime;
	}
	
	/**
	 *设置开始时间
	 */
	public void setStartTime(String startTime){
		this.startTime = startTime;
	}
		/**
	 *获取结束时间
	 */
	public String getEndTime(){
		return endTime;
	}
	
	/**
	 *设置结束时间
	 */
	public void setEndTime(String endTime){
		this.endTime = endTime;
	}
		/**
	 *获取线路ID
	 */
	public String getRouteId(){
		return routeId;
	}
	
	/**
	 *设置线路ID
	 */
	public void setRouteId(String routeId){
		this.routeId = routeId;
	}
		/**
	 *获取创建人
	 */
	public String getCreateBy(){
		return createBy;
	}
	
	/**
	 *设置创建人
	 */
	public void setCreateBy(String createBy){
		this.createBy = createBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取创建时间
	 */
	public Date getCreateTime(){
		return createTime;
	}
	
	/**
	 *设置创建时间
	 */
	public void setCreateTime(Date createTime){
		this.createTime = createTime;
	}
		/**
	 *获取更新人
	 */
	public String getUpdateBy(){
		return updateBy;
	}
	
	/**
	 *设置更新人
	 */
	public void setUpdateBy(String updateBy){
		this.updateBy = updateBy;
	}
		@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm")
		/**
	 *获取更新时间
	 */
	public Date getUpdateTime(){
		return updateTime;
	}
	
	/**
	 *设置更新时间
	 */
	public void setUpdateTime(Date updateTime){
		this.updateTime = updateTime;
	}
		/**
	 *获取是否删除
	 */
	public Boolean getDelFlag(){
		return delFlag;
	}
	
	/**
	 *设置是否删除
	 */
	public void setDelFlag(Boolean delFlag){
		this.delFlag = delFlag;
	}
}