package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.DeviceCmdInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface DeviceCmdInfoService {
	DeviceCmdInfo get(String id);
	boolean exist(String id);
	int insert(DeviceCmdInfo model);
	int update(DeviceCmdInfo model);
	int delete(String id);
	List<DeviceCmdInfo> list();
	Page<DeviceCmdInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
    List<DeviceCmdInfo> findByLicensePlateNumber(String licensePlateNumber, int limit);
}