package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.DriverInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface DriverInfoService {
	DriverInfo get(Long id);
	boolean exist(Long id);
	int insert(DriverInfo model);
	int update(DriverInfo model);
	int delete(Long id);
	List<DriverInfo> list();
	Page<DriverInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    DriverInfo findByPhone(String phone);
}