package com.jpsoft.bus.modules.bus.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.DriverInfo;
import com.jpsoft.bus.modules.bus.entity.DriverRecordInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-3 11:26
 */
public interface DriverRecordInfoService {

    DriverRecordInfo get(String id);
    boolean exist(String id);
    int insert(DriverRecordInfo model);
    int update(DriverRecordInfo model);
    int delete(String id);
    List<DriverRecordInfo> list();
    Page<DriverRecordInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    DriverRecordInfo findLastAttendanceRecord(Long driverId, String licensePlateNumber, Date startTime);
}
