package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.PassengerMessage;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface PassengerMessageService {
	PassengerMessage get(String id);
	boolean exist(String id);
	int insert(PassengerMessage model);
	int update(PassengerMessage model);
	int delete(String id);
	List<PassengerMessage> list();
	Page<PassengerMessage> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    PassengerMessage findByPassengerId(String passengerId);
}