package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.PriceInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface PriceInfoService {
	PriceInfo get(String id);
	boolean exist(String id);
	int insert(PriceInfo model);
	int update(PriceInfo model);
	int delete(String id);
	List<PriceInfo> list();
	Page<PriceInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    PriceInfo findByStartStationAndEndStation(String ticketUpStationId, String ticketDownStationId);
	List<PriceInfo> findByStartSid(String startStationId);
	List<PriceInfo> findByEndSid(String endStationId);
}