package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.RouteTimeTable;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface RouteTimeTableService {
	RouteTimeTable get(String id);
	boolean exist(String id);
	int insert(RouteTimeTable model);
	int update(RouteTimeTable model);
	int delete(String id);
	List<RouteTimeTable> list();
    RouteTimeTable findByRouteId(String routeId);
	Page<RouteTimeTable> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}