package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.StationSubInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface StationSubInfoService {
	StationSubInfo get(String id);
	boolean exist(String id);
	int insert(StationSubInfo model);
	int update(StationSubInfo model);
	int delete(String id);
	List<StationSubInfo> list();
	Page<StationSubInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    StationSubInfo findByStationIdStartEnd(String currentStationId, String startStationId, String endStationId);

    List<StationSubInfo> findByStationId(String stationId);
}