package com.jpsoft.bus.modules.common.utils;

import cn.hutool.core.util.StrUtil;
import org.gavaghan.geodesy.Ellipsoid;
import org.gavaghan.geodesy.GeodeticCalculator;
import org.gavaghan.geodesy.GeodeticCurve;
import org.gavaghan.geodesy.GlobalCoordinates;

/**
 * @author 墨鱼_mo
 * @date 2020-8-4 17:17
 */
public class CommonUtil {

    public static String getProvinceNum(String carNum) {
        String provinceNum = "un";
        String provinceName = StrUtil.sub(carNum, 0, 1);
        if ("京".equals(provinceName)) {
            provinceNum = "00";
        }
        if ("津".equals(provinceName)) {
            provinceNum = "01";
        }
        if ("沪".equals(provinceName)) {
            provinceNum = "02";
        }
        if ("渝".equals(provinceName)) {
            provinceNum = "03";
        }
        if ("冀".equals(provinceName)) {
            provinceNum = "04";
        }
        if ("豫".equals(provinceName)) {
            provinceNum = "05";
        }
        if ("云".equals(provinceName)) {
            provinceNum = "06";
        }
        if ("辽".equals(provinceName)) {
            provinceNum = "07";
        }
        if ("黑".equals(provinceName)) {
            provinceNum = "08";
        }
        if ("湘".equals(provinceName)) {
            provinceNum = "09";
        }
        if ("皖".equals(provinceName)) {
            provinceNum = "10";
        }
        if ("鲁".equals(provinceName)) {
            provinceNum = "11";
        }
        if ("新".equals(provinceName)) {
            provinceNum = "12";
        }
        if ("苏".equals(provinceName)) {
            provinceNum = "13";
        }
        if ("浙".equals(provinceName)) {
            provinceNum = "14";
        }
        if ("赣".equals(provinceName)) {
            provinceNum = "15";
        }
        if ("桂".equals(provinceName)) {
            provinceNum = "16";
        }
        if ("甘".equals(provinceName)) {
            provinceNum = "17";
        }
        if ("晋".equals(provinceName)) {
            provinceNum = "18";
        }
        if ("蒙".equals(provinceName)) {
            provinceNum = "19";
        }
        if ("陕".equals(provinceName)) {
            provinceNum = "20";
        }
        if ("吉".equals(provinceName)) {
            provinceNum = "21";
        }
        if ("闽".equals(provinceName)) {
            provinceNum = "22";
        }
        if ("贵".equals(provinceName)) {
            provinceNum = "23";
        }
        if ("粤".equals(provinceName)) {
            provinceNum = "24";
        }
        if ("青".equals(provinceName)) {
            provinceNum = "25";
        }
        if ("藏".equals(provinceName)) {
            provinceNum = "26";
        }
        if ("琼".equals(provinceName)) {
            provinceNum = "27";
        }
        if ("鄂".equals(provinceName)) {
            provinceNum = "28";
        }
        if ("川".equals(provinceName)) {
            provinceNum = "29";
        }
        if ("宁".equals(provinceName)) {
            provinceNum = "30";
        }



        return provinceNum;
    }


    //根据坐标系判断距离
    public static double getDistanceMeter(GlobalCoordinates gpsFrom, GlobalCoordinates gpsTo, Ellipsoid ellipsoid) {

        //创建GeodeticCalculator，调用计算方法，传入坐标系、经纬度用于计算距离
        GeodeticCurve geoCurve = new GeodeticCalculator().calculateGeodeticCurve(ellipsoid, gpsFrom, gpsTo);

        return geoCurve.getEllipsoidalDistance();
    }
}
