package com.jpsoft.bus.modules.common.utils;

import io.netty.buffer.ByteBuf;
import io.netty.buffer.Unpooled;
import io.netty.channel.ChannelHandlerContext;
import io.netty.handler.codec.MessageToMessageCodec;

import java.util.List;

/**
 */
public class ObjectCodec extends MessageToMessageCodec<ByteBuf, Object> {

    @Override
    protected void encode(ChannelHandlerContext ctx, Object msg, List<Object> out) throws Exception {
        //byte[] data = ObjectSerializerUtils.serilizer(msg);
        byte[] data = msg.toString().getBytes("GBK");

        ByteBuf buf = Unpooled.buffer();
        buf.writeBytes(data);
        out.add(buf);
    	//out.add(msg);
    }

    @Override
    protected void decode(ChannelHandlerContext ctx, ByteBuf msg, List<Object> out) {

        byte[] bytes = new byte[msg.readableBytes()];

        msg.readBytes(bytes);

        byte[] data = ObjectSerializerUtils.serilizer(new String(bytes));

        Object deSerilizer = ObjectSerializerUtils.deSerilizer(data);
        out.add(deSerilizer);
    }
}