package com.jpsoft.bus.modules.common.utils;

import io.netty.channel.Channel;

import java.util.Map;
import java.util.Set;
import java.util.concurrent.ConcurrentHashMap;

public class TTSSessionUtil {
    private static final Map<String, Channel> activeChannelMap = new ConcurrentHashMap<>();

    public static void put(String deviceNo, Channel channel) {
        activeChannelMap.put(deviceNo, channel);
    }

    public static Channel get(String deviceNo) {
        return activeChannelMap.get(deviceNo);
    }

    public static boolean containsKey(String deviceNo) {
        return activeChannelMap.containsKey(deviceNo);
    }

    public static void remove(String deviceNo) {
        activeChannelMap.remove(deviceNo);
    }

    public static Set<String> keySet(){
        return activeChannelMap.keySet();
    }
}
