package com.jpsoft.bus.modules.merchant.dao;

import java.util.List;

import com.jpsoft.bus.modules.merchant.entity.CapitalInfo;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.merchant.entity.WithdrawalRecord;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface WithdrawalRecordDAO {
	int insert(WithdrawalRecord entity);
	int update(WithdrawalRecord entity);
	int exist(String id);
	WithdrawalRecord get(String id);
	int delete(String id);
	WithdrawalRecord findByMerchantId(String merchantId);
	List<WithdrawalRecord> list();
	List<WithdrawalRecord> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<WithdrawalRecord> findByMerchantIdAndStatus(String merchantId, String status);
}