package com.jpsoft.bus.modules.merchant.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.bus.modules.merchant.entity.AccountInfo;
import com.jpsoft.bus.modules.merchant.entity.CapitalInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface CapitalInfoService {
	CapitalInfo get(String id);
	boolean exist(String id);
	int insert(CapitalInfo model);
	int update(CapitalInfo model);
	int delete(String id);
	CapitalInfo findByMerchantId(String merchantId);
	List<CapitalInfo> list();
	Page<CapitalInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);
}