package com.jpsoft.bus.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.sys.entity.Role;

import java.util.List;
import java.util.Map;

public interface RoleService {
	Role get(String id);
	boolean exist(String id);
	int insert(Role model);
	int update(Role model);
	int delete(String id);
	List<Role> list();
	Page<Role> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
}