package com.jpsoft.bus.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.sys.entity.Role;
import com.jpsoft.bus.modules.sys.entity.UserRole;

import java.util.List;
import java.util.Map;

public interface UserRoleService {
	UserRole get(String id);
	boolean exist(String id);
	int insert(UserRole model);
	int update(UserRole model);
	int delete(String id);
	List<UserRole> list();
	Page<UserRole> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    List<Role> findRoleByUserId(String userId);
	int deleteByUserId(String userId);

    boolean existByRoleName(String userId, String mobile_recharge);
}