package com.jpsoft.bus.modules.base.dao;

import com.jpsoft.bus.modules.base.entity.HelpCenter;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-25 17:52
 */
@Repository
public interface HelpCenterDAO {

    int insert(HelpCenter entity);
    int update(HelpCenter entity);
    int exist(String id);
    HelpCenter get(String id);
    int delete(String id);
    List<HelpCenter> list();
    List<HelpCenter> search(Map<String, Object> searchParams, List<Sort> sortList);
}
