package com.jpsoft.bus.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.base.entity.OrderLog;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface OrderLogDAO {
	int insert(OrderLog entity);
	int update(OrderLog entity);
	int exist(String id);
	OrderLog get(String id);
	int delete(String id);
	List<OrderLog> list();
	List<OrderLog> search(Map<String, Object> searchParams, List<Sort> sortList);
}