package com.jpsoft.bus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.base.entity.MergeOrderInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface MergeOrderInfoService {
	MergeOrderInfo get(String id);
	boolean exist(String id);
	int insert(MergeOrderInfo model);
	int update(MergeOrderInfo model);
	int delete(String id);
	List<MergeOrderInfo> list();
	Page<MergeOrderInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    MergeOrderInfo findByOutOrderNo(String outOrderNo);

    List<MergeOrderInfo> findByOpenIdShiftIdPayStatus(String openId, String shiftId, int payStatus);
}