package com.jpsoft.bus.modules.base.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.base.entity.PaymentInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface PaymentInfoService {
	PaymentInfo get(String id);
	boolean exist(String id);
	int insert(PaymentInfo model);
	int update(PaymentInfo model);
	int delete(String id);
	List<PaymentInfo> list();
	Page<PaymentInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    PaymentInfo findByCompanyId(String companyId);
}