package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.DeviceCmdInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface DeviceCmdInfoDAO {
	int insert(DeviceCmdInfo entity);
	int update(DeviceCmdInfo entity);
	int exist(String id);
	DeviceCmdInfo get(String id);
	int delete(String id);
	List<DeviceCmdInfo> list();
	List<DeviceCmdInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    List<DeviceCmdInfo> findByLicensePlateNumber(String licensePlateNumber, int limit);
}