package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.DeviceLogInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface DeviceLogInfoDAO {
	int insert(DeviceLogInfo entity);
	int update(DeviceLogInfo entity);
	int exist(String id);
	DeviceLogInfo get(String id);
	int delete(String id);
	List<DeviceLogInfo> list();
	List<DeviceLogInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
}