package com.jpsoft.bus.modules.bus.dao;

import com.jpsoft.bus.modules.bus.entity.DriverRecordInfo;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

/**
 * @author 墨鱼_mo
 * @date 2021-4-3 11:29
 */
@Repository
public interface DriverRecordInfoDAO {
    int insert(DriverRecordInfo entity);
    int update(DriverRecordInfo entity);
    int exist(String id);
    DriverRecordInfo get(String id);
    int delete(String id);
    List<DriverRecordInfo> list();
    List<DriverRecordInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    DriverRecordInfo findLastAttendanceRecord(Long driverId, String licensePlateNumber, Date startTime);
}
