package com.jpsoft.bus.modules.bus.dao;

import com.jpsoft.bus.modules.bus.entity.GpsDataInfo;
import com.jpsoft.bus.modules.common.dto.Sort;
import org.springframework.stereotype.Repository;

import java.util.Date;
import java.util.List;
import java.util.Map;

@Repository
public interface GpsDataInfoDAO {
	int insert(GpsDataInfo entity);
	int update(GpsDataInfo entity);
	int exist(String id);
	GpsDataInfo get(String id);
	int delete(String id);
	List<GpsDataInfo> list();
	List<GpsDataInfo> search(Map<String, Object> searchParams, List<Sort> sortList);
    GpsDataInfo findLast(String deviceNo);

    GpsDataInfo findByDeviceNoAndCreateTime(String gpsDeviceNo, Date maxTime, Date minTime);
}