package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.PassengerMessage;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface PassengerMessageDAO {
	int insert(PassengerMessage entity);
	int update(PassengerMessage entity);
	int exist(String id);
	PassengerMessage get(String id);
	int delete(String id);
	List<PassengerMessage> list();
	List<PassengerMessage> search(Map<String,Object> searchParams,List<Sort> sortList);

    PassengerMessage findByPassengerId(String passengerId);
}