package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.RouteTimeTable;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface RouteTimeTableDAO {
	int insert(RouteTimeTable entity);
	int update(RouteTimeTable entity);
	int exist(String id);
	RouteTimeTable get(String id);
	int delete(String id);
	List<RouteTimeTable> list();
	RouteTimeTable findByRouteId(String routeId);
	List<RouteTimeTable> search(Map<String, Object> searchParams, List<Sort> sortList);
}