package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.StationInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface StationInfoDAO {
	int insert(StationInfo entity);
	int update(StationInfo entity);
	int exist(String id);
	StationInfo get(String id);
	int delete(String id);
	List<StationInfo> list();
	List<StationInfo> findByRouteId(String routeId);
	List<StationInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    List<StationInfo> findByRouteIdAndClassify(String routeId, int classify);

	StationInfo findByRouteIdAndName(String routeId, String name);
}