package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.UserInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface UserInfoDAO {
	int insert(UserInfo entity);
	int update(UserInfo entity);
	int exist(Long id);
	UserInfo get(Long id);
	int delete(Long id);
	List<UserInfo> list();
	List<UserInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    UserInfo findByPhone(String phone);

    UserInfo findByOpenId(String openId);
}