package com.jpsoft.bus.modules.bus.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface VehicleInfoDAO {
	int insert(VehicleInfo entity);
	int update(VehicleInfo entity);
	int exist(String id);
	VehicleInfo get(String id);
	int delete(String id);
	List<VehicleInfo> list();
	List<VehicleInfo> search(Map<String, Object> searchParams, List<Sort> sortList);

    VehicleInfo findByCodeAndCarNum(String activationCode, String carNum);
	VehicleInfo findByGpsDeviceNo(String gpsDeviceNo);
	int updateGps(VehicleInfo entity);

	VehicleInfo findByCarNum(String carNum);

    List<VehicleInfo> findByCompanyId(String companyId);
}