package com.jpsoft.bus.modules.bus.dto;

import lombok.Data;

import java.math.BigDecimal;

/**
 * @author 墨鱼_mo
 * @date 2021-4-17 11:32
 */
@Data
public class PassengerRecordDTO {

    private String id;

    private String imageUrl;

    private String startStation;

    private String endStation;

    private String ticketType;

    private String ticketTypeName;

    private BigDecimal goodTicket;

    private String payTime;

    private BigDecimal totalFee;

    private String status;

    private String statusName;

    public String getStatusName(String status){
        String statusName = "未过期";

        if (!"1".equals(status)){
            statusName = "已过期";
        }

        return statusName;
    }


    public String getTicketTypeName(String ticketType){
        String ticketTypeName = "成人票";

        if ("1".equals(ticketType)){
            ticketTypeName = "儿童票";
        }
        return ticketTypeName;
    }
}
