package com.jpsoft.bus.modules.bus.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 墨鱼_mo
 * @date 2021-4-9 16:21
 */
@Data
public class VehicleStationDTO {

    private String id;

    @ApiModelProperty(value = "车辆与当前站点的关系，1：过站，2：当前站，3：未到站")
    private String status;

    private String stationName;

    private Double longitude;
    private Double latitude;

}
