package com.jpsoft.bus.modules.bus.entity;

import java.io.Serializable;
import java.util.Date;
import java.text.SimpleDateFormat;
import java.math.BigDecimal;
import org.springframework.format.annotation.DateTimeFormat;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

/**
  描述:bus_route_info的实体类
 */
@Data
@ApiModel(value = "bus_route_info的实体类")
public class RouteInfo {
        @ApiModelProperty(value = "主键")
    private String id;
        @ApiModelProperty(value = "路线")
    private String name;
        @ApiModelProperty(value = "创建人")
    private String createBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
    private Date createTime;
        @ApiModelProperty(value = "更新人")
    private String updateBy;
        @DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
    private Date updateTime;
        @ApiModelProperty(value = "是否删除")
    private Boolean delFlag;
        @ApiModelProperty(value = "地图路线(坐标用|分隔，经纬度用,)")
    private String mapPath;
        @ApiModelProperty(value = "单位编号")
    private String companyId;
        @ApiModelProperty(value = "商品编号")
    private String goodsId;
        @ApiModelProperty(value = "开始时间")
    private String startTime;
        @ApiModelProperty(value = "结束时间")
    private String endTime;

    @ApiModelProperty(value = "单位编号")
    private String companyName;
    @ApiModelProperty(value = "地区id")
    private String regionId;
    @ApiModelProperty(value = "地区翻译")
    private String regionName;
    @ApiModelProperty(value = "间隔时间(分钟)")
    private Integer interval;
}