package com.jpsoft.bus.modules.bus.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.CompanyInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

import java.util.List;
import java.util.Map;

public interface CompanyInfoService {
	CompanyInfo get(String id);
	boolean exist(String id);
	int insert(CompanyInfo model);
	int update(CompanyInfo model);
	int delete(String id);
	List<CompanyInfo> list();
	Page<CompanyInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
    int updateCode(String oldCode, String newCode);
	List<CompanyInfo> findByParentId(String parentId);
	CompanyInfo findByName(String name);
	List<CompanyInfo> findByCompanyCodeAndType(String code, String type);

	List<CompanyInfo> findAllCompanyByCode(String code);

    List<CompanyInfo> findByType(String type);
	long countByParentId(String parentId);
	Boolean hasChildren(String parentId);
	List<CompanyInfo> findByCompanyCode(String code,Long personId);

}