package com.jpsoft.bus.modules.bus.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.bus.entity.GpsDataInfo;
import com.jpsoft.bus.modules.common.dto.Sort;

import java.util.Date;
import java.util.List;
import java.util.Map;

public interface GpsDataInfoService {
	GpsDataInfo get(String id);
	boolean exist(String id);
	int insert(GpsDataInfo model);
	int update(GpsDataInfo model);
	int delete(String id);
	List<GpsDataInfo> list();
	Page<GpsDataInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    GpsDataInfo findLast(String deviceNo);

    GpsDataInfo findByDeviceNoAndCreateTime(String gpsDeviceNo, Date maxTime, Date minTime);
}