package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.StationRemind;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface StationRemindService {
	StationRemind get(String id);
	boolean exist(String id);
	int insert(StationRemind model);
	int update(StationRemind model);
	int delete(String id);
	List<StationRemind> list();
	Page<StationRemind> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);
    List<StationRemind> findByAdvanceStationId(String currentStationId);
    List<StationRemind> findByOpenIdAndVehicleShiftId(String openId, String vehicleShiftId);

    List<StationRemind> findByOpenId(String openId);

	List<StationRemind> findByOpenIdAndRouteId(String openId, String routeId);
}