package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.UserInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface UserInfoService {
	UserInfo get(Long id);
	boolean exist(Long id);
	int insert(UserInfo model);
	int update(UserInfo model);
	int delete(Long id);
	List<UserInfo> list();
	Page<UserInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    UserInfo findByPhone(String phone);

    UserInfo findByOpenId(String openId);
}