package com.jpsoft.bus.modules.bus.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.bus.entity.VehicleInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface VehicleInfoService {
	VehicleInfo get(String id);
	boolean exist(String id);
	int insert(VehicleInfo model);
	int update(VehicleInfo model);
	int delete(String id);
	List<VehicleInfo> list();
	Page<VehicleInfo> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, boolean count, List<Sort> sortList);

    VehicleInfo findByCodeAndCarNum(String activationCode, String carNum);

	VehicleInfo findByGpsDeviceNo(String deviceNo);

	VehicleInfo findByCarNum(String carNum);

	void updateGps(VehicleInfo v);

    List<VehicleInfo> findByCompanyId(String companyId);
}