package com.jpsoft.bus.modules.merchant.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.merchant.entity.AccountInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface AccountInfoDAO {
	int insert(AccountInfo entity);
	int update(AccountInfo entity);
	int exist(String id);
	AccountInfo get(String id);
	int delete(String id);
	List<AccountInfo> list();
	List<AccountInfo> search(Map<String,Object> searchParams,List<Sort> sortList);

    AccountInfo findByPhone(String phone);

    AccountInfo findByOpenId(String openId);
}