package com.jpsoft.bus.modules.merchant.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.bus.modules.merchant.entity.CapitalInfo;
import java.util.Map;
import com.jpsoft.bus.modules.common.dto.Sort;

@Repository
public interface CapitalInfoDAO {
	int insert(CapitalInfo entity);
	int update(CapitalInfo entity);
	int exist(String id);
	CapitalInfo get(String id);
	int delete(String id);
	CapitalInfo findByMerchantId(String merchantId);
	List<CapitalInfo> list();
	List<CapitalInfo> search(Map<String,Object> searchParams,List<Sort> sortList);
}