package com.jpsoft.bus.modules.merchant.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @author 墨鱼_mo
 * @date 2021-5-7 19:15
 */
@Data
public class SellListDTO {

    private String id;

    private String outOrderNo;

    private String payName;

    private String routeName;

    private BigDecimal payFee;

    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm", timezone = "GMT+8")
    @ApiModelProperty(value = "支付时间")
    private Date payTime;

    private String payNameStr;


}
