package com.jpsoft.bus.modules.merchant.service;

import java.util.List;
import java.util.Map;
import com.jpsoft.bus.modules.merchant.entity.AccountInfo;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface AccountInfoService {
	AccountInfo get(String id);
	boolean exist(String id);
	int insert(AccountInfo model);
	int update(AccountInfo model);
	int delete(String id);
	List<AccountInfo> list();
	Page<AccountInfo> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    AccountInfo findByPhone(String phone);

    AccountInfo findByOpenId(String openId);
}