package com.jpsoft.bus.modules.merchant.service;

import java.util.List;
import java.util.Map;

import com.jpsoft.bus.modules.merchant.entity.WithdrawalRecord;
import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;

public interface WithdrawalRecordService {
	WithdrawalRecord get(String id);
	boolean exist(String id);
	int insert(WithdrawalRecord model);
	int update(WithdrawalRecord model);
	int delete(String id);
	WithdrawalRecord findByMerchantId(String merchantId);
	List<WithdrawalRecord> list();
	Page<WithdrawalRecord> pageSearch(Map<String, Object> searchParams,int pageNum,int pageSize,boolean count,List<Sort> sortList);

    List<WithdrawalRecord> findByMerchantIdAndStatus(String merchantId, String status);
}