package com.jpsoft.bus.modules.sys.dao;

import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.sys.entity.Menu;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface MenuDAO {
	int insert(Menu entity);
	int update(Menu entity);
	int exist(String id);
	Menu get(String id);
	int delete(String id);
	List<Menu> list();
	List<Menu> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<Menu> findAllocMenu(@Param("userId") String userId, @Param("parentId") String parentId);
}