package com.jpsoft.bus.modules.sys.dao;

import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.sys.entity.Role;
import com.jpsoft.bus.modules.sys.entity.UserRole;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

@Repository
public interface UserRoleDAO {
	int insert(UserRole entity);
	int update(UserRole entity);
	int exist(String id);
	UserRole get(String id);
	int delete(String id);
	List<UserRole> list();
	List<UserRole> search(Map<String, Object> searchParams, List<Sort> sortList);
    List<Role> findRoleByUserId(String userId);
	int deleteByUserId(String userId);
    int existByRoleName(String userId, String roleName);
}