package com.jpsoft.bus.modules.sys.service;

import com.github.pagehelper.Page;
import com.jpsoft.bus.modules.common.dto.Sort;
import com.jpsoft.bus.modules.sys.entity.User;

import java.util.List;
import java.util.Map;

public interface UserService {
	User get(String id);
	boolean exist(String id);
	int insert(User model);
	int update(User model);
	int delete(String id);
	List<User> list();
	Page<User> pageSearch(Map<String, Object> searchParams, int pageNum, int pageSize, List<Sort> sortList);
	User findByUserName(String userName);
	List<User> findByRoleName(String roleName);
	boolean hasRole(String userId, String roleName) ;
	User findByOpenId(String openId);
}