package com.jpsoft.bus.modules.wechat.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
  描述:wechat_reply_message的实体类
 */
@Data
@ApiModel(value = "wechat_reply_message的实体类")
public class ReplyMessage {
	/**
	 *编号
	 */
        @ApiModelProperty(value = "编号")
	private String id;
	/**
	 *事件
	 */
        @ApiModelProperty(value = "事件")
	private String event;
	/**
	 *回复消息
	 */
        @ApiModelProperty(value = "回复消息")
	private String message;
	/**
	 *回调地址
	 */
        @ApiModelProperty(value = "回调地址")
	private String callbackUrl;
	/**
	 *创建时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "创建时间")
	private Date createTime;
	/**
	 *更新时间
	 */
    	@DateTimeFormat(pattern="yyyy-MM-dd HH:mm")
	@JsonFormat(pattern = "yyyy-MM-dd HH:mm",timezone ="GMT+8")
	    @ApiModelProperty(value = "更新时间")
	private Date updateTime;
}